set Safety off
close Primary
Delete all ok

Delete folder \Accounts_receivable_audit Ok
Delete folder \Accounts_payable Ok
Delete folder \Inventory_review Ok
Delete folder \Payroll_analysis Ok
Delete folder \Benford_Sample   Ok
Delete folder \FuzzyDuplicate   Ok




*V_path="D:\兆益數位學院\Arbutus Books\Arbutus電腦稽核營運確保分析\V8\Arbutus Data FilesV8\Arbutus Data Files\Arbutus_DataFile_8"

set folder \Accounts_receivable_audit





IMPORT FILE TO AR SERVER "LOCAL" RECORD_LENGTH 40  SKIP 3 FIELDS no ASCII 1 5 AS "Cust;Number", date DATETIME 6 8 AS "Invoice;Date" PIC 'yyyymmdd', due DATETIME 14 8 AS "Due;Date" PIC 'yyyymmdd', ref ASCII 22 6 As "Ref;No", type ASCII 28 2 AS "Trans;Type" amount PRINT 30 8 2 PIC '(9,999,999.99)' AS "Trans;Amount" END "..\Data Files\AR.dat"

IMPORT DELIMITED TO Customer SERVER "LOCAL" RECORD_LENGTH 150 CRLF FIELDS no ASCII 1 5 AS "Customer;No", name ASCII 6 24 AS "Customer;Name", city ASCII 30 15 AS "City", address ASCII 45 38 AS "Address", state ASCII 83 2 AS "State", zip ASCII 85 5 AS "Zip", limit PRINT 90 5 0 AS "Limit", sales_rep_no ASCII 95 6 AS "Sales_Rep_No"END "..\Data Files\Customer.dat" 1 44 34




IMPORT FILE TO Trans SERVER "LOCAL" FIELDS invoice ASCII 6 AS "Invoice", cusno ASCII 5 AS "CustomerNo", Date DATETIME 6 PIC 'yymmdd', prodno ASCII 9 AS "ProdNo",  Salepr PRINT 7 2, qty PRINT 5 0 AS "Qty", amount PRINT 10 2 AS "Amount" END "..\Data Files\Trans.dat"

open  Trans
DEFINE FIELD prodclass ASCII      18   2   AS "ProdClass"


IMPORT FILE TO Trans01 SERVER "LOCAL" FIELDS invoice ASCII 6 AS "Invoice", cusno ASCII 5 AS "CustomerNo", Date DATETIME 6 PIC 'yymmdd', prodno ASCII 9 AS "ProdNo",  Salepr PRINT 7 2, qty PRINT 5 0 AS "Qty", amount PRINT 10 2 AS "Amount" END "..\Data Files\Trans01.txt"

open  Trans01
DEFINE FIELD prodclass ASCII      18   2   AS "ProdClass"

IMPORT FILE TO Trans02 SERVER "LOCAL" FIELDS invoice ASCII 6 AS "Invoice", cusno ASCII 5 AS "CustomerNo", Date DATETIME 6 PIC 'yymmdd', prodno ASCII 9 AS "ProdNo",  Salepr PRINT 7 2, qty PRINT 5 0 AS "Qty", amount PRINT 10 2 AS "Amount" END "..\Data Files\Trans02.txt"

open  Trans02
DEFINE FIELD prodclass ASCII      18   2   AS "ProdClass"

IMPORT FILE TO Trans03 SERVER "LOCAL" FIELDS invoice ASCII 6 AS "Invoice", cusno ASCII 5 AS "CustomerNo", Date DATETIME 6 PIC 'yymmdd', prodno ASCII 9 AS "ProdNo",  Salepr PRINT 7 2, qty PRINT 5 0 AS "Qty", amount PRINT 10 2 AS "Amount" END "..\Data Files\Trans03.txt"

open  Trans03
DEFINE FIELD prodclass ASCII      18   2   AS "ProdClass"

IMPORT FILE TO Trans04 SERVER "LOCAL" FIELDS invoice ASCII 6 AS "Invoice", cusno ASCII 5 AS "CustomerNo", Date DATETIME 6 PIC 'yymmdd', prodno ASCII 9 AS "ProdNo",  Salepr PRINT 7 2, qty PRINT 5 0 AS "Qty", amount PRINT 10 2 AS "Amount" END "..\Data Files\Trans04.txt"

open  Trans04
DEFINE FIELD prodclass ASCII      18   2   AS "ProdClass"



set folder \Accounts_payable



IMPORT DELIMITED TO AP_tran SERVER "LOCAL" RECORD_LENGTH 186 CRLF FIELDS vendor_no ASCII 1 5 AS "Vendor;No", invoice_no ASCII 6 9 AS "Invoice;No", invoice_date DATETIME 15 10 PIC 'yyyy/mm/dd' AS "Invoice;Date", invoice_amount PRINT 25 8 2 AS "Invoice;Amount", prodno ASCII 33 9 AS "ProdNo", quantity PRINT 42 4 0 as "Qty", unit_cost PRINT 46 5 2 as "Unit_Cost", Payment_method ASCII 51 13 as "Payment;Method", Payment_amount PRINT 64 8 2 as "Payment;Amount", Payment_date DATETIME 72 10 PIC 'yyyy/mm/dd'as "Payment;Date", Payment_deadline DATETIME 82 10 PIC 'yyyy/mm/dd'as "Payment;Deadline" END "..\Data Files\AP_tran.dat" 1 9 0



IMPORT DELIMITED TO Vendor SERVER "LOCAL" RECORD_LENGTH 163 CRLF FIELDS vendor_no ASCII 1 5 AS "Vendor;No", vendor_name ASCII 6 26 AS "Vendor;Name", vendor_city ASCII 32 16 AS "City", vendor_street ASCII 48 39 AS "Street" , vendor_state ASCII 87 2 AS "State", vendor_zip ASCII 89 5 AS "Zip", vendor_last_active DATETIME 94 10 PIC 'yyyy/mm/dd' AS "Last;Active", vendor_review_date DATETIME 104 10 PIC 'yyyy/mm/dd' AS "Review;Date" END "..\Data Files\Vendor.dat" 1 44 34

set folder keep \Inventory_review








IMPORT FILE TO Inventory SERVER "LOCAL" RECORD_LENGTH 100 CRLF FIELDS ProductNo ASCII 1 9 as "Product_Number", Location ASCII 10 2, ProductDesc ASCII 12 28 as "Product;Description", ProductStatus ASCII 40 1 as "Product;Status", UnitCost PRINT 41 8 2  PIC '(99,999.99)'  AS "Unit;Cost", CostDate DATETIME 49 6 PIC 'yymmdd', SalePrice PRINT 55 7 2 AS "Sale;Price", PriceDate DATETIME 62 6 PIC 'yymmdd', Quantity_On_Hand PRINT 68 6 0 AS "Quantity;On Hand", Re_Order_Point PRINT 74 4 0 AS "Re-Order;Point", Quantity_On_Order PRINT 78 5 0 AS "Quantity;On Order", Inventory_Value_at_Cost ZONED 83 7 2 PIC '(99,999.99)' AS "Inventory;Value;at Cost" , Market_Value ZONED 91 8 2 PIC '(99,999.99)' AS "Market;Value" END "..\Data Files\Inventory.dat"
open  Inventory
DEFINE FIELD ProductClass ASCII 1 2 as "Product;Class"





IMPORT DELIMITED TO Dept SERVER "LOCAL" RECORD_LENGTH 69 CRLF FIELDS dept ASCII 1 2 As"Dept", deptdesc ASCII 3 14 As"DeptDesc"END "..\Data Files\Dept.dat" 1 9 0








set folder keep \Payroll_analysis

IMPORT DELIMITED TO Employees SERVER "LOCAL" RECORD_LENGTH 218 CRLF FIELDS employee_number ASCII 1 6, Name ASCII 7 6, ID ASCII 13 10, sex ASCII 23 1, birthdate DATETIME 24 10 PIC 'yyyy/mm/dd', hiredate DATETIME 34 10 PIC 'yyyy/mm/dd', department ASCII 44 19, Position ASCII 63 28, Address ASCII 91 41, manager ASCII 132 6, BankAccount ASCII 138 13, salary PRINT 151 9 2, pay_per_period PRINT 160 8 2 END "..\Data Files\Employees.csv" 1 9 34

IMPORT DELIMITED TO Employees_Prior SERVER "LOCAL" RECORD_LENGTH 218 CRLF FIELDS employee_number ASCII 1 6, Name ASCII 7 6, ID ASCII 13 10, sex ASCII 23 1, birthdate DATETIME 24 10 PIC 'yyyy/mm/dd', hiredate DATETIME 34 10 PIC 'yyyy/mm/dd', department ASCII 44 19, Position ASCII 63 28, Address ASCII 91 41, manager ASCII 132 6, BankAccount ASCII 138 13, salary PRINT 151 9 2, pay_per_period PRINT 160 8 2 END "..\Data Files\Employees_Prior.csv" 1 9 34

IMPORT DELIMITED TO Payroll SERVER "LOCAL" RECORD_LENGTH 105 CRLF FIELDS empno ASCII 1 6, gross_pay PRINT 7 8 2, tax_amount PRINT 15 8 2, net_pay PRINT 23 8 2, pay_date DATETIME 31 10 PIC 'yyyy/mm/dd', cheque_no ASCII 41 5 END "..\Data Files\Payroll.csv" 1 44 34




set folder keep \Benford_Sample

IMPORT OPENEXCEL TO 各州票數_2020美國大選選票 FILE ".\Data Files\2020美國大選選票.xlsx" TABLE "各州票數" SERVER "LOCAL" FLAT "各州票數.FIL" FIELDS "States","JOE BIDEN","DONALD TRUMP" END

IMPORT OPENEXCEL TO 各縣票數_2020美國大選選票 FILE ".\Data Files\2020美國大選選票.xlsx" TABLE "各縣票數" SERVER "LOCAL" FLAT "各縣票數.FIL" FIELDS "States","County","JOE BIDEN","DONALD TRUMP" END


set folder keep \FuzzyDuplicate
IMPORT OPENEXCEL TO PURCHASE_ORDER FILE ".\Data Files\PURCHASE_ORDER.xlsx" TABLE "PURCHASE_ORDER" SERVER "LOCAL" FLAT "PURCHASE_ORDER.FIL" FIELDS "PO_ID","ORIGIN","VENDOR_ID","VENDOR_NAME","OPRID_ENTERED_BY","REQ_ID","ACCOUNTING_DT","ACTIVITY_DATE","APPROVAL_DT","ENTERED_DT","PO_DT","AMOUNT","IN_PROCESS_FLG" END


SET FOLDER OFF

close
set Safety on
